petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchGetOptionsPrefix

Gets the prefix used for searching for all TaoLineSearch options in the database

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetOptionsPrefix(TaoLineSearch ls, const char *p[])

Not Collective Many br

### Input Parameters

ls -the TaoLineSearch context Many br

### Output Parameters

prefix -pointer to the prefix string used is returned Many br

Notes: On the fortran side, the user should pass in a string 'prefix' of Many brsufficient length to hold the prefix. Many br

Many br

### See Also

TaoLineSearchSetOptionsPrefix(), TaoLineSearchAppendOptionsPrefix()

Level:advanced
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages